Request

Response

    Issue Comments
    POST

    containers/{containerId}/issues/{issueId}/comments

    Creates a new comment under a specific issue.

    Note that one can mention project’s member using the ‘at’ sign (@)

    Example usage: "body": "@{\"type\": \"user\", \"id\": \"M3FXRQLW4TLL\", \"name\": \"firstName lastName\"}  this creates comment with mention"

    Note that this endpoint is ONLY compatible with BIM 360 projects. It is not compatible with Autodesk Construction Cloud (ACC) projects. For more information about compatibility between between BIM 360 and ACC, see the Compatibility section.

    Resource Information

    Method and URI
    POST
    https://developer.api.autodesk.com/issues/v2/containers/:containerId/issues/:issueId/comments
    Authentication Context
    user context required
    Required OAuth Scopes
    data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    containerId
    string
    The ID of the container.

    Each project is assigned to a container that stores all the issues for the project.

    Use the Data Management API to retrieve the container ID. For more information, see the Retrieve Issues Container ID tutorial.

    issueId
    string
    The unique issue ID

    Request

    Body Structure

    The body content.

    body*
    string
    The comment content. A \n indicates a new line, e.g.: Hey\nAharon will be a 2 lines comment.

    Max length: 10000

    * Required

    Response

    HTTP Status Code Summary

    201
    Created
    Returns the created comment.
    400
    Bad Request
    Invalid input
    401
    Unauthorized
    The supplied Authorization header was not valid. Verify Authentication and try again
    403
    Forbidden
    The request was successfully validated but permission is not granted
    404
    Not Found
    Container or Issue not found

    Response

    Body Structure (201)

    body
    string
    The comment content. A \n indicates a new line, e.g.: Hey\nAharon will be a 2 lines comment.

    Max length: 10000

    createdAt
    datetime: ISO 8601
    The date and time the comment was created, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    createdBy
    string
    The Autodesk ID of the user who created the comment.
    updatedAt
    datetime: ISO 8601
    Not relevant
    deletedAt
    datetime: ISO 8601
    Not relevant
    clientCreatedAt
    string
    Not relevant
    clientUpdatedAt
    datetime: ISO 8601
    Not relevant
    permittedActions
    array: string
    Not relevant
    permittedAttributes
    array: string
    Not relevant

    Example

    Returns the created comment.

    Request

    curl -v 'https://developer.api.autodesk.com/issues/v2/containers/a5f49f04-59bb-477c-97e6-6833cb50bdac/issues/a5f49f04-59bb-477c-97e6-6833cb50bdac/comments' \
      -X 'POST' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
      -H 'Content-Type: application/json' \
      -d '{
            "body": "Hey Aharon, please validate that this is even possible before starting to work on the issue."
          }'
    

    Response

    {
      "body": "Hey Aharon, please validate that this is even possible before starting to work on the issue.",
      "createdAt": "2018-07-22T15:05:58.033Z",
      "createdBy": "A3RGM375QTZ7",
      "updatedAt": "",
      "deletedAt": "",
      "clientCreatedAt": "A3RGM375QTZ7",
      "clientUpdatedAt": "2018-07-22T15:05:58.033Z",
      "permittedActions": [
        ""
      ],
      "permittedAttributes": [
        ""
      ]
    }
    
    Show More